#include <jack/jack.h>

struct simple_src;

typedef struct simple_src SimpleSRC;


SimpleSRC *simple_src_new();

void simple_src_reset(SimpleSRC *this);

jack_nframes_t simple_src_process(SimpleSRC *this,
                                  jack_default_audio_sample_t *from,
                                  jack_nframes_t in_c,
                                  jack_default_audio_sample_t *to,
                                  jack_nframes_t buf_space,
                                  double r,
                                  jack_nframes_t *consumed,
                                  jack_nframes_t *overrun);

void simple_src_del(SimpleSRC *this);

