#include <stdlib.h>
#include <assert.h>

#include <jack/jack.h>

int
main ()
{
	jack_client_t *client;
	const char **ports;

	client = jack_client_open ("breakage", JackNoStartServer, NULL);
        assert(client);

	ports = jack_get_ports (client, NULL, NULL, 0);

        struct timespec ts = {0, 1E3};

        while (1) {
                nanosleep (&ts,0);

		jack_port_get_all_connections (
                                   client, jack_port_by_name(client, ports[0]));
        }

}
